* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html, body {
    height: 100%;
}

body {
    font-family: 'Helvetica Neue', Arial, sans-serif;
    background-color: #eef2f3;
    height: 100%;
}

.chat-container {
    width: 100%;
    max-width: 100%;
    margin: 0 auto;
    border-radius: 10px;
    background-color: #ffffff;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    display: flex;
    flex-direction: column;
    height: 100%;
    overflow: hidden;
}

.chat-box {
    flex: 1;
    padding: 12px;
    overflow-y: auto;
    background-color: #f9f9f9;
    /* Removido border-bottom para evitar altura extra */
}

.input-area {
    display: flex;
    padding: 5px;
    border-top: 1px solid #eee;
    background-color: #ffffff;
}

#user-input {
    flex: 1;
    padding-left: 10px;
    padding-top: 10px;
    border: 1px solid #ddd;
    border-radius: 20px;
    font-size: 14px;
    outline: none;
    transition: border-color 0.3s ease;
    width: calc(100% - 90px);
    box-sizing: border-box;
}

input[type="text"],
input[type="password"] {
    flex: 1;
    padding: 12px;
    border: 1px solid #ddd;
    border-radius: 20px;
    font-size: 14px;
    outline: none;
    transition: border-color 0.3s ease;
}

input[type="text"]:focus,
input[type="password"]:focus {
    border-color: #007bff;
}

button {
    font-weight: bold;
    padding: 10px 20px;
    margin-left: 10px;
    border: none;
    background-color: #00e76e;
    color: white;
    border-radius: 20px;
    font-size: 14px;
    cursor: pointer;
    transition: background-color 0.3s ease;
}

button:hover,
label:hover {
    background-color: #0056b3;
}

.message {
    margin: 10px 0;
    padding: 10px;
    border-radius: 10px;
    display: inline-block;
    max-width: 80%;
    word-wrap: break-word;
    font-size: 14px;
}

.message.user {
    background-color: #979a9c;
    color: white;
    text-align: right;
    align-self: flex-end;
}

.message.agent {
    background-color: #f1f1f1;
    color: black;
    text-align: left;
    align-self: flex-start;
}

.typing {
    display: inline-block;
    width: 10px;
    height: 10px;
    background-color: #ddd;
    border-radius: 50%;
    animation: bounce 1s infinite alternate;
}

.typing::before,
.typing::after {
    content: '';
    display: inline-block;
    width: 10px;
    height: 10px;
    background-color: #ddd;
    border-radius: 50%;
    margin-left: 3px;
    animation: bounce 1s infinite alternate;
}

.typing::before {
    animation-delay: 0.2s;
}

.typing::after {
    animation-delay: 0.4s;
}

.chat-header {
    background-color: #00e76e;
    color: white;
    padding: 10px;
    text-align: center;
    font-size: 18px;
    font-weight: bold;
    border-top-left-radius: 10px;
    border-top-right-radius: 10px;
}

@keyframes bounce {
    from {
        transform: translateY(0);
    }
    to {
        transform: translateY(-10px);
    }
}

.circleBase {
    border-radius: 50%;
    behavior: url(PIE.htc); 
}

.circle {
    width: 40px;
    height: 40px;
    background: #00e76e;
    cursor: pointer;
    padding: 8px;
}

.modal-login {
    display: none;
    position: fixed;
    z-index: 1;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    background-color: rgba(0,0,0,0.5);
}

.modal-content-login {
    background-color: #fff;
    margin: 15% auto;
    padding: 20px;
    border: 1px solid #888;
    width: 300px;
    border-radius: 10px;
    text-align: center;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
}

.close-modal-login,
.close-modal-login-code {
    color: #aaa;
    float: right;
    font-size: 24px;
    font-weight: bold;
    cursor: pointer;
}

.close-modal-login:hover,
.close-modal-login:focus,
.close-modal-login-code:hover,
.close-modal-login-code:focus {
    color: #000;
    text-decoration: none;
}

form {
    display: flex;
    flex-direction: column;
    gap: 10px;
    margin-top: 20px;
}

#loading,
#loadingUpload {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.5);
    color: white;
    font-size: 2rem;
    align-items: center;
    justify-content: center;
    z-index: 1000;
}